Name:           fatback
Version:        1.3
Release:        %mkrel 8
Summary:        A forensic tool for recovering files from FAT file systems
License:        GPLv2 and Public Domain
Group:          Security
URL:            http://sourceforge.net/projects/fatback
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		fatback-1.3-texinfo.patch
Source1:	README.Mageia
BuildRequires:  flex
BuildRequires:  texinfo

%description
Fatback is a forensic tool for undeleting files from Microsoft FAT file 
systems. Fatback is different from other undelete tools in that
it does the following:
   * Runs under UNIX environments
   * Can undelete files automatically
   * Supports Long File Names
   * Supports FAT12, FAT16, and FAT32
   * Powerful interactive mode
   * Recursively undeletes deleted directories
   * Recovers lost cluster chains
   * Works with single partitions or whole disks

%prep
%setup -q
cp %{SOURCE1} .
%patch0 -p1

%build
%configure2_5x
%make
makeinfo --html fatback-manual.texi

%install
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/fatback
cp -r fatback-manual %{buildroot}%{_datadir}/fatback
# Change .info filename to match instructions in man page
%{__mv} %{buildroot}%{_datadir}/info/%{name}-manual.info %{buildroot}%{_datadir}/info/%{name}.info

%files
%doc README.Mageia
%{_bindir}/%{name}
%{_mandir}/man?/%{name}.?.*
%{_infodir}/%{name}.info.*
%{_datadir}/fatback/fatback-manual



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.3-8.mga5
+ Revision: 749703
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-7.mga5
+ Revision: 679097
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3-6.mga4
+ Revision: 532154
- Mageia 4 Mass Rebuild

* Sat Aug 17 2013 fwang <fwang> 1.3-5.mga4
+ Revision: 467136
- fix build with recent texinfo

* Fri Jan 11 2013 umeabot <umeabot> 1.3-5.mga3
+ Revision: 350071
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 1.3-4.mga3
+ Revision: 310547
- update RPM group

* Sun Aug 26 2012 barjac <barjac> 1.3-3.mga3
+ Revision: 284270
- Added README.Mageia explaining license validity
- removed .desktop file file for manual as we have no icon
- Corrected GPL version
- Fixed minor typo in description
- imported package fatback

